Data loss: replay does not include merged revisions

Bug #1115237 reported by Stefan Rijnhart (Opener) on 2013-02-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bzr-rewrite
High
Unassigned

Bug Description

A replay on a branch does not include any merged revisions. This leads to data loss and large inconsistancies between the source branch and the target branch.

Steps to reproduce:
================

bzr branch lp:openobject-addons/7.0 openobject-addons-7.0
cd openobject-addons-7.0
bzr uncommit -r 8643; bzr revert
bzr replay lp:openobject-addons/7.0 -r 8644
bzr diff . -r 8643..8644 --diff-options -q

Expected results:
==============

=== modified file 'google_docs/google_docs.py'
Files google_docs/google_docs.py 2012-12-27 11:43:33 +0000 and google_docs/google_docs.py 2013-02-01 11:51:53 +0000 differ

(This is output of 'bzr diff lp:openobject-addons/7.0 -r 8643..8644 --diff-options -q')

Actual results:
============

No changes in the working tree.

Installed version of bzr-rewrite: 0.6.3

On Mon, 2013-02-04 at 13:32 +0000, Stefan Rijnhart (Therp) wrote:
> Public bug reported:
>
> A replay on a branch does not include any merged revisions. This leads
> to data loss and large inconsistancies between the source branch and the
> target branch.

  status triaged
  importance high

Please note that the replay command is hidden because it still has a
number of open issues like this.

Cheers,

Jelmer

Changed in bzr-rewrite:
importance: Undecided → High
status: New → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers